Latest Firefox Breaks FarCry 3 Context Menu

If the following describes your environment, this a reminder to upgrade and use the latest Farcry:

  • Using Mac (OS X Leopard)
  • Using FarCry v3
  • Using Firefox and have recently upgraded to version 3.0 or 3.0.1

The reason? Well the new upgrade of Firefox 3 has broken the webtop context menu. You can see the menu, but none of the options work.

Although you could use Camino which works well (and Safari isn’t fully suported on FarCry 3), you really should be upgrading to the brand spanking new FarCry 5 :)

Everything seems to work fine on Windows however. But still…new shiny versions of things are so much nicer!

Comments